POST api/itemapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
ItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| active | boolean |
None. |
|
| code | string |
Required String length: inclusive between 0 and 30 |
|
| color_id | globally unique identifier |
None. |
|
| customer_id | globally unique identifier |
Required |
|
| grouping_quantity | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| item_service_id | globally unique identifier |
None. |
|
| item_garment_type_id | globally unique identifier |
None. |
|
| item_segment_id | globally unique identifier |
None. |
|
| item_type_id | globally unique identifier |
None. |
|
| purchase_price | decimal number |
None. |
|
| sale_price | decimal number |
None. |
|
| size_id | globally unique identifier |
None. |
|
| supplier_code | string |
String length: inclusive between 0 and 30 |
|
| supplier_description | string |
String length: inclusive between 0 and 100 |
|
| unit | string |
String length: inclusive between 0 and 10 |
|
| weight | integer |
None. |
|
| root_code | string |
String length: inclusive between 0 and 30 |
Request Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"color_id": "2449d0ff-91ce-4965-8d77-51a35dcdc7b8",
"customer_id": "a5284862-ac69-4e42-bb9a-8369f46828b3",
"grouping_quantity": 1,
"id": "868594de-66a8-4c1f-a6f8-eba45caeebaa",
"item_service_id": "cdaae3d7-95bb-459f-b235-7c2da4ff624f",
"item_garment_type_id": "462a0a1f-aab9-40f3-8186-2e578caac9a5",
"item_segment_id": "29d186fd-b932-44a7-b420-eec8dc6f1d12",
"item_type_id": "b6dd8844-224f-4c1d-9f6b-1b2acf7f9f44",
"purchase_price": 1.0,
"sale_price": 1.0,
"size_id": "484b3885-3493-4b17-a4c6-0033821f62a8",
"supplier_code": "sample string 6",
"supplier_description": "sample string 7",
"unit": "sample string 8",
"weight": 1,
"root_code": "sample string 9"
}
application/xml, text/xml
Sample:
<item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<code>sample string 2</code>
<color_id>2449d0ff-91ce-4965-8d77-51a35dcdc7b8</color_id>
<customer_id>a5284862-ac69-4e42-bb9a-8369f46828b3</customer_id>
<grouping_quantity>1</grouping_quantity>
<id>868594de-66a8-4c1f-a6f8-eba45caeebaa</id>
<item_garment_type_id>462a0a1f-aab9-40f3-8186-2e578caac9a5</item_garment_type_id>
<item_segment_id>29d186fd-b932-44a7-b420-eec8dc6f1d12</item_segment_id>
<item_service_id>cdaae3d7-95bb-459f-b235-7c2da4ff624f</item_service_id>
<item_type_id>b6dd8844-224f-4c1d-9f6b-1b2acf7f9f44</item_type_id>
<purchase_price>1</purchase_price>
<root_code>sample string 9</root_code>
<sale_price>1</sale_price>
<size_id>484b3885-3493-4b17-a4c6-0033821f62a8</size_id>
<supplier_code>sample string 6</supplier_code>
<supplier_description>sample string 7</supplier_description>
<unit>sample string 8</unit>
<weight>1</weight>
<descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</descriptions>
</item>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"0c5b9445-aa67-45e2-84ef-ac5a005ec900"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">0c5b9445-aa67-45e2-84ef-ac5a005ec900</guid>